Skip to main content
`Ctrl`+`K`

# EPSMonitorConverged

Print the approximate values and error estimates as they converge.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorConverged(EPS eps,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- eps - the linear eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs so far

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -eps_monitor_conv - activates `EPSMonitorConverged()`

## Note

This is not called directly by users, rather one calls `EPSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `EPS` solve.

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorSet()`, `EPSMonitorFirst()`, `EPSMonitorAll()`

## Level

intermediate

## Location

src/eps/interface/epsmon.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages